#include "topwinmaker.h"
#include "resstring.h"

TopWinMaker::TopWinMaker(WinClass &winClass, char const *caption):
    WinMaker(winClass)
{
    _style = WS_OVERLAPPEDWINDOW | WS_VISIBLE;
    _windowName = caption;    
}

TopWinMaker::TopWinMaker(WinClass &winClass, int resId):
    WinMaker(winClass)
{
    ResString text((HINSTANCE) ::GetModuleHandle(0), resId);
    _style = WS_OVERLAPPEDWINDOW | WS_VISIBLE;
    _windowName = text;
}
